﻿:root {
    --darkest-grey: #343E46;
    --massage-green: #B8D149;
    --dark-grey: #586A77;
    --dark-grey-30: rgba(88, 106, 119, 0.3);
    --darkest-grey-85: rgba(52, 62, 70, 0.85);
    --light-grey: #E6E5E5;
    --light-grey-50: rgba(230,229,229,0.5);
    --dark-grey-20: rgba(88,106,119,0.2);
    --mid-tone-grey: #798893;
    --massage-green-20: rgba(184, 209, 73, 0.2);
}

/***********************/
/* Grey Banner */
/***********************/

section.greyBanner {
    background: var(--darkest-grey);
    padding: 100px 0px;
}

section.greyBanner h1 {
    color: white;
    margin: 0px;
    font-size: 53px;
}

/***********************/
/* Blog Posts */
/***********************/

.blog-list-wrapper {
    padding: 80px 0px;
}

h2.secondary-title {
    margin-bottom: 40px;
}

/* Top Two Posts */

.top-style .text-wrapper .date {
    display: none;
}

.top-style .img-wrapper {
    height: unset;
    aspect-ratio: 16 / 10;
    width: 100%;
    border-radius: 25px 0px 25px 0px;
    overflow: hidden;
    margin-bottom: 30px;
}

.top-style .img-wrapper img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.top-style .img-wrapper p.date {
    position: absolute;
    top: 0;
    right: 0;
    background: var(--darkest-grey);
    color: white;
    padding: 15px 25px;;
    border-radius: 0px 0px 0px 15px;
    font-size: 23px;
    line-height: 26px;
    font-weight: 700;
    text-align:center;
}

.top-style {
    margin-bottom: 60px;
}

.top-style .greenBtn {
    background: var(--massage-green);
    color: var(--darkest-grey);
    border: none !important;
    padding: 7px 46px !important;
    border-radius: 12px;
    display: inline-block;
    font-size: 18px;
    font-weight: 700;
    text-decoration: none !important;
    margin-top: 17px;
}

.top-style-wrapper {
    display: flex;
}

.top-style-wrapper > div .post-content {
    height: 100%;
    display: flex;
    flex-direction: column;
}

.top-style-wrapper > div .post-content .text-wrapper {
    flex: 1;
    display: flex;
    flex-direction: column;
}

.top-style-wrapper .mb-0 {
    margin-bottom: 0px;
    margin-top: auto;
}

.top-style-wrapper h3 {
    margin-bottom: 22px;
}


/* Remaining Posts */

.bottom-style .img-wrapper .date {
    display: none;
}

.bottom-style .text-wrapper .description {
    display: none;
}

.bottom-style .post-content {
    display: flex;
    align-items: center;
}

.bottom-style .greenBtn {
    background: var(--massage-green);
    color: var(--darkest-grey);
    border: none !important;
    padding: 3px 18px !important;
    border-radius: 12px;
    display: inline-block;
    font-size: 16px;
    font-weight: 700;
    text-decoration: none !important;
}

.blog-post.bottom-style {
    margin-bottom: 35px;
}

.blog-post.bottom-style .img-wrapper {
    max-width: 260px;
    margin-right: 40px;
    height: unset;
    aspect-ratio: 260 / 210;
    width: 100%;
    border-radius: 25px 0px 25px 0px;
    overflow: hidden;
}

.blog-post.bottom-style .img-wrapper img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.blog-post.bottom-style .text-wrapper p.date,
.top-style .text-wrapper .date{
    font-size: 16px;
    color: var(--massage-green);
    line-height: 20px;
    font-weight: 600;
    margin-bottom: 15px;
}

.blog-post.bottom-style .text-wrapper h3 {
    font-size: 22px;
    line-height: 24px;
    margin-bottom: 16px;
}

.blog-post.bottom-style p.mb-0 {
    margin-bottom: 0px;
}

.blog-list .post-content {
    position: relative;
}

.blog-list .post-content a.overlay-link {
    position: absolute;
    inset: 0;
    z-index: 50;
}

.blog-list .post-content:hover .greenBtn {
    background: var(--darkest-grey) !important;
    color: white !important;
}

.blog-list .post-content .img-wrapper img {
    transition: all .5s ease;
}

.blog-list .post-content:hover .img-wrapper img {
    opacity: 0.75;
}

button#loadMoreBtn {
    background: var(--massage-green);
    color: var(--darkest-grey);
    border: none !important;
    padding: 7px 46px !important;
    border-radius: 12px;
    display: inline-block;
    font-size: 18px;
    font-weight: 700;
    text-decoration: none !important;
    margin-top: 17px;
    transition: all .5s ease;
}

/* Filter */

.filter-wrapper {
    background: rgba(230,229,229,0.5);
    margin-left: 105px;
    padding: 15px 21px 10px;
    border-right: 10px solid var(--dark-grey);
    border-radius: 10px;
}

p.archive-btn {
    margin-left: 105px;
    margin-top: 15px;
}

p.archive-btn a {
    width: 100%;
    text-align: center;
}

ul.filter-list li {
    padding-left: 0px;
    margin-bottom: 7px;
    cursor: pointer;
}

p.filter-title {
    font-size: 14px;
    line-height: 16px;
    color: var(--dark-grey);
    margin-bottom: 10px;
    border-bottom: 2px solid #fff;
    padding-bottom: 10px;
}

ul.filter-list li::before {
    display: none;
}

@media (min-width: 1200px) and (max-width: 1366px) {
    /***********************/
    /* Blog Posts */
    /***********************/

    .filter-wrapper {
        margin-left: 60px;
    }

    p.archive-btn {
        margin-left: 60px;
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    /***********************/
    /* Grey Banner */
    /***********************/

    section.greyBanner h1 {
        font-size: 43px;
    }

    section.greyBanner {
        padding: 65px 0px;
    }

    /***********************/
    /* Blog Posts */
    /***********************/

    .blog-list-wrapper {
        padding: 100px 0px;
    }

    section.blog-list-wrapper .container .row .col-md-8 {
        width: 70.66666667%;
    }

    section.blog-list-wrapper .container .row .col-md-4 {
        width: 29.33333333%;
    }

    .filter-wrapper {
        margin-left: 45px;
    }

    p.archive-btn {
        margin-left: 45px;
    }

    .text-wrapper h3 {
        font-size: 20px !important;
        line-height: 22px !important;
    }

    .top-style .img-wrapper p.date {
        padding: 10px 19px;
        font-size: 18px;
        line-height: 20px;
    }

    p.description {
        font-size: 16px;
        line-height: 21px;
    }

    .blog-post.bottom-style .img-wrapper {
        aspect-ratio: 260 / 180;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    /***********************/
    /* Grey Banner */
    /***********************/

    section.greyBanner {
        padding: 60px 0px;
    }

    section.greyBanner h1 {
        font-size: 40px;
    }

    /***********************/
    /* Blog Posts */
    /***********************/

    .blog-list-wrapper {
        padding: 75px 0px;
    }

    h2.secondary-title {
        margin-bottom: 20px;
        font-size: 30px;
    }

    .top-style-wrapper {
        display: block;
    }

    .filter-wrapper {
        margin-left: 15px;
        margin-top: 60px;
    }

    p.archive-btn {
        margin-left: 15px;
    }

    /**/

    .blog-post.bottom-style .text-wrapper p.date {
        margin-top: 0px!important;
    }

    .top-style .img-wrapper p.date {
        display: none;
    }

    .top-style .text-wrapper .date {
        display: block;
    }

    .top-style .greenBtn {
        background: var(--massage-green);
        color: var(--darkest-grey);
        border: none !important;
        padding: 3px 18px !important;
        border-radius: 12px;
        display: inline-block;
        font-size: 16px;
        font-weight: 700;
        text-decoration: none !important;
        margin-top: 0px;
    }

    p.description {
        display: none;
    }

    .text-wrapper h3 {
        font-size: 18px!important;
        line-height: 20px!important;
    }

    .top-style {
        margin-bottom: 35px;
    }

    .top-style .img-wrapper {
        margin-bottom: 0px;
    }

    .top-style-wrapper > div .post-content {
        flex-direction: row;
    }

    .blog-post .img-wrapper {
        max-width: 170px!important;
        margin-right: 20px!important;
        height: unset;
        aspect-ratio: 260 / 210!important;
        width: 100%;
        border-radius: 25px 0px 25px 0px;
        overflow: hidden;
    }

    .blog-post.bottom-style .text-wrapper p.date, .top-style .text-wrapper .date {
        font-size: 15px;
        margin-bottom: 3px;
    }

    .top-style-wrapper .mb-0 {
        margin-top: 0px;
    }

    .top-style-wrapper h3 {
        margin-bottom: 14px;
    }
}

@media (max-width: 767px) {

    /***********************/
    /* Grey Banner */
    /***********************/

    section.greyBanner {
        padding: 55px 0px;
    }

    section.greyBanner h1 {
        font-size: 35px;
    }

    /***********************/
    /* Blog Posts */
    /***********************/

    .blog-list-wrapper {
        padding: 60px 0px;
    }

    .top-style-wrapper {
        display: block;
    }

    h2.secondary-title {
        margin-bottom: 20px;
        font-size: 25px;
    }

    .bottom-style .post-content {
        display: block;
    }

    .blog-post.bottom-style .img-wrapper {
        max-width: unset;
        margin-right: 0px;
        aspect-ratio: 16 / 10;
    }

    .blog-post.bottom-style .text-wrapper p.date {
        margin-top: 17px;
    }

    .top-style .img-wrapper p.date {
        display: none;
    }

    .top-style .text-wrapper .date {
        display: block;
    }

    .top-style .greenBtn {
        background: var(--massage-green);
        color: var(--darkest-grey);
        border: none !important;
        padding: 3px 18px !important;
        border-radius: 12px;
        display: inline-block;
        font-size: 16px;
        font-weight: 700;
        text-decoration: none !important;
    }

    p.description {
        display: none;
    }

    .text-wrapper h3 {
        font-size: 22px;
        line-height: 24px;
        margin-bottom: 4px;
    }

    .top-style {
        margin-bottom: 35px;
    }

    .top-style .img-wrapper {
        margin-bottom: 19px;
    }

    .filter-wrapper {
        margin-top: 40px;
        margin-left: 0px;
    }

    button#loadMoreBtn {
        margin-left: auto;
        margin-right: auto;
        display: block;
    }

    p.archive-btn {
        margin-left: 0px;
    }
}